My Oracle Support Banner

Could not load file or assembly 'Oracle.DataAccess' after Installing Oracle Client 12.2.x or Higher (Doc ID 2586574.1)

Last updated on NOVEMBER 09, 2021

Applies to:

Oracle Utilities Market Settlements Management - Version 1.6.1.21 and later
Information in this document applies to any platform.

Goal

This issue is for the following error message:

Could not load file or assembly 'Oracle.DataAccess, Version=2.102.4.0 or a variation of it (sometimes the version is different).

 

This occurs in:

1) Data Manager or other Client/Server or command line EXE versions

Details: Unable to launch Data Manager on a Windows 10 machine with Oracle Client 12.2.0 (32-bit) or higher (32-bit version still required even if it's a higher Oracle Client version.

Data Manager appears to be configured correctly with the correct setup. However when we launch the application, we get a message that indicates that the Oracle.DataAccess could not be loaded. The system cannot find the file specified. The installation was done exactly the same as a previous version with the 1.6.1.21 software but with earlier Operating System and Oracle client versions.
 

2) EIP software when launching the initial page, get the same message.

Solution

To view full details, sign in with your My Oracle Support account.

Don't have a My Oracle Support account? Click to get started!


In this Document
Goal
Solution


My Oracle Support provides customers with access to over a million knowledge articles and a vibrant support community of peers and Oracle experts.